### Enumeration

# Ggit SortMode

#### Declaration

    flags Ggit.SortMode

#### Description [src]

The type of sorting mode for the revision walker.

#### Members

`GGIT_SORT_NONE`

  Sorts the repository contents in no particular ordering; this sorting is arbitrary, implementation-specific and subject to change at any time.

  - Value: `0`
  - Available since: 1.0
`GGIT_SORT_TOPOLOGICAL`

  Sorts the repository contents in topological order (parents before children); this sorting mode can be combined with time sorting.

  - Value: `1`
  - Available since: 1.0
`GGIT_SORT_TIME`

  Sort the repository contents by commit time; this sorting mode can be combined with topological sorting.

  - Value: `2`
  - Available since: 1.0
`GGIT_SORT_REVERSE`

  Iterate through the repository contents in reverse order; this sorting mode can be combined with any of the above.

  - Value: `4`
  - Available since: 1.0